Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000718KdenliveUser Interfacepublic2009-03-19 00:172013-05-30 19:26
ReporterWeevil 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusnewResolutionopen 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version 
Summary0000718: Feature Request: Multiple timelines
DescriptionJust something I read in the forums a while back and stuck in my mind...

Being able to have more than 1 timeline (per project, and being able to copy clipsequences between them) would be a really neat & professional feature. I think it should be implemented somewhere before the Kdenlive 1.0.0 release.
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Files

- Relationships

-  Notes
(0005604)
LeHomard (developer)
2010-08-12 22:25

I can't see when this feature would come in use... I've never seen it in another software and have never felt the need.

Should this request still be acknowledged ?
(0009554)
Weevil (reporter)
2013-05-15 22:53

It's a feature in every 'major' editing software.

https://en.wikipedia.org/wiki/Final_Cut_Pro#Timeline [^]
"Clips can be edited together in timelines called sequences. Sequences can be nested inside other sequences, so that a filter or transition can be applied to the grouped clips."
(0009556)
evorster (reporter)
2013-05-16 01:48

Well, now there is an idea.

Can we just not extend our grouping function?

I just had a play with it... seems that we have some of the functionality already there, but not quite.

Importing a saved the project as a clip makes the whole project look like a clip, and so effects are applied to the merged clip as a whole, which is kind of the functionality that the above is after.

So, the functionality is already there in kdenlive, it just feels a little kludgey. Maybe we should just be able to export a selection of clips as a single clip (kdenlive savefile), and auto-add that exported clip to the clips list with a drop down on a context menu, roughly from the same place as the grouping function?

Or maybe we could just modify the way effects are applied to groups of clips? The way it is now is a little weird: Try adding the brightness effect to a group of clips, and have it slowly fade from dark to light across the group.

-Evert-
(0009573)
samoos (reporter)
2013-05-30 19:26

I'd just like to point out that these are two separate (but related) issues.

What the bug report seems to be describing is allowing for multiple, editable sequences within a project.
This feature allows an editor to grab sections or little chunks of edited sequences and paste them into other sequences. One common usage is to duplicate sequences as you work, meaning if you change your mind or want to try out anothher idea, you can go back to previous versions, grab a clip or section of an edit, and copy/paste it into your current sequence. It provides a lot of flexibility because you can just lift out certain parts, maybe you don't want the music track but you want to take a clip from the video track and some of the other audio.

What evorster describes is sequence nesting, which is useful for assembling a larger project from separate self-contained sequences. this is useful when putting together a film, for example - you may edit each scene individually, and then want to bring them into a single sequence without creating a gigantic confusing of little edits. If you accidentally knock a track out of sync a few frames without noticing (I do this A LOT with kdenlive) this is going to be very messy on a long project without nested sequences. it's not as granular and flexible as sequence duplication but it's a lot more practical when dealing with large, complicated projects. As mentioned above, you can apply/remove effects to a whole sequence, without having to click around on individual clips.

both of these features are very commonly used in commercial NLEs. In my view the first issue is more pressing for the simpler, shorter projects which seem to be a focus of most current kdenlive users, but sequence nesting is also very important for kdenlive's future.

- Issue History
Date Modified Username Field Change
2009-03-19 00:17 Weevil New Issue
2009-03-19 00:17 Weevil Build/Install Method => Build Wizard
2010-08-12 22:25 LeHomard Note Added: 0005604
2010-08-12 22:25 LeHomard Status new => feedback
2013-05-15 22:53 Weevil Note Added: 0009554
2013-05-15 22:53 Weevil Status feedback => new
2013-05-16 01:48 evorster Note Added: 0009556
2013-05-30 19:26 samoos Note Added: 0009573


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker